import { JsonObjectVisitor } from "./JsonObjectVisitor";
import { PropertyVisitor } from "./PropertyVisitor";
/**
 *
 */
export declare class RecordVisitor implements JsonObjectVisitor {
    private _enclosedJsonObject;
    constructor(value: string | object);
    static visitPropertyValueAt(record: object, propertyName: string): any;
    static visitAndSetPropertyValueAt(record: object, propertyName: string, value: any): void;
    copyAsJsonObject(): object;
    copyAsJsonString(): string;
    enclosedJsonObject(): any;
    visitPropertyValueAt(propertyName: string): any;
    visitAndSetPropertyValueAt(propertyName: string, value: any): void;
    visitProperties(): IterableIterator<PropertyVisitor>;
    visitRecordId(): string;
}
